<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:layout_width="345dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="20dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="30dp"
                android:text="Exit scanning"
                android:textColor="@color/black"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_desc"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginHorizontal="35dp"
                android:layout_marginTop="20dp"
                android:gravity="center"
                android:text="lf you exit, the scanning results will be discarded."
                android:textColor="@color/black"
                android:textSize="15sp"
                tools:ignore="HardcodedText" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="20dp"
                android:layout_marginBottom="25dp">

                <TextView
                    android:id="@+id/tv_n"
                    android:layout_width="145dp"
                    android:layout_height="45dp"
                    android:layout_marginHorizontal="8dp"
                    android:background="@drawable/bg_stroke_577dfd_22"
                    android:gravity="center"
                    android:text="Exit"
                    android:textColor="@color/color_primary"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:id="@+id/tv_y"
                    android:layout_width="145dp"
                    android:layout_height="45dp"
                    android:layout_marginHorizontal="8dp"
                    android:background="@drawable/bg_577dfd_22"
                    android:gravity="center"
                    android:text="Continue"
                    android:textColor="@color/white"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />
            </LinearLayout>


        </LinearLayout>
    </androidx.cardview.widget.CardView>


    <FrameLayout
        android:id="@+id/id_fl_native"
        android:layout_width="345dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="10dp"
        android:background="@drawable/bg_ffffff_10">

        <io.supercharge.shimmerlayout.ShimmerLayout
            android:id="@+id/shimmerLayout"
            android:layout_width="318dp"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|center_horizontal"
            android:layout_marginHorizontal="16dp"
            android:layout_marginVertical="10dp"
            app:shimmer_angle="25"
            app:shimmer_animation_duration="2000"
            app:shimmer_auto_start="true"
            app:shimmer_color="#33ffffff"
            app:shimmer_mask_width="0.2">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@mipmap/adzhanweitu" />

        </io.supercharge.shimmerlayout.ShimmerLayout>

    </FrameLayout>

</androidx.appcompat.widget.LinearLayoutCompat>